org.eclipse.gmt.modisco.infra.query.core.java

## Class ParameterValueList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<ModelQueryParameterValue>
      - - org.eclipse.gmt.modisco.infra.query.core.java.ParameterValueList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ModelQueryParameterValue>, java.util.Collection<ModelQueryParameterValue>, java.util.List<ModelQueryParameterValue>, java.util.RandomAccess

Deprecated.
replaced by EMF Facet, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470578

    @Deprecated
    public class ParameterValueList
    extends java.util.ArrayList<ModelQueryParameterValue>

List of query parameters, with two method for name direct value / param access.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParameterValueList(ModelQueryParameterValue... values)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ModelQueryParameterValue` `createParameterValue(java.lang.Object value, ModelQueryParameter parameter)` Deprecated.
`ModelQueryParameterValue` `getParameterValue(ModelQueryParameter parameter)` Deprecated. Return the parameter with specified a parameter object.
`ModelQueryParameterValue` `getParameterValueByName(java.lang.String name)` Deprecated. Return the parameter with specified name.
`java.lang.Object` `getValue(ModelQueryParameter parameter)` Deprecated.
`java.lang.Object` `getValueByParameterName(java.lang.String name)` Deprecated. Return the value of the parameter with specidied name.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### ParameterValueList

    public ParameterValueList(ModelQueryParameterValue... values)

Deprecated.

### Method Detail

#### getValueByParameterName

    public java.lang.Object getValueByParameterName(java.lang.String name)

Deprecated.
Return the value of the parameter with specidied name.

Parameters:
  `name` - the name.
Returns:
  the value, or null if parameter is unknown.

#### getParameterValueByName

    public ModelQueryParameterValue getParameterValueByName(java.lang.String name)

Deprecated.
Return the parameter with specified name.

Parameters:
  `name` - the name.
Returns:
  the parameter, or null if parameter is unknown.

#### createParameterValue

    public static ModelQueryParameterValue createParameterValue(java.lang.Object value,
                                                                ModelQueryParameter parameter)

Deprecated.

#### getParameterValue

    public ModelQueryParameterValue getParameterValue(ModelQueryParameter parameter)

Deprecated.
Return the parameter with specified a parameter object.

Parameters:
  `parameter` - the parameter object.
Returns:
  the parameter, or null if parameter is unknown.

#### getValue

    public java.lang.Object getValue(ModelQueryParameter parameter)

Deprecated.